define(["dojo/_base/declare", "dojo/has", "dijit/form/Button","dojox/string/BidiEngine"], function(declare, has , button, BidiEngine){
	var bidiEngine = new BidiEngine(); 
	return declare("bidi.ButtonVisBidi",[button],{

		set: function(name, value){
			if (name == "label"){
				var textDirChForBidiFormat = (this.textDir == "rtl") ? "R" : "L";
				var visChForBidiFormat = (this.isVisualMode == true) ? "V" : "I";
				var dirChForBidiFormat = (this.dir == "rtl") ? "R" : "L";
				value = bidiEngine.bidiTransform (value, visChForBidiFormat + textDirChForBidiFormat + "YNN", "ILYNN");
			}
			this.inherited(arguments);
		}
	});
}); 
