define(["dojo/_base/declare", "dojo/has", "dijit/layout/ContentPane","dojox/string/BidiEngine"], function(declare, has , contentPane, BidiEngine){
	var bidiEngine = new BidiEngine(); 
	return declare("bidi.ContentPaneVisBidi",[contentPane],{
		set: function(name, value){
			if (name == "title"){
				var textDirChForBidiFormat = (this.textDir == "rtl") ? "R" : "L";
				var visChForBidiFormat = (this.isVisualMode == true) ? "V" : "I";
				var dirChForBidiFormat = (this.dir == "rtl") ? "R" : "L";
				value = bidiEngine.bidiTransform (value, visChForBidiFormat + textDirChForBidiFormat + "YNN", "I" + dirChForBidiFormat + "YNN");
			}
			this.inherited(arguments);
		}
	});
}); 
