define(["dojo/_base/declare", "dojo/has", "dijit/form/ToggleButton","dojox/string/BidiEngine"], function(declare, has , button, BidiEngine){
	var bidiEngine = new BidiEngine(); 
	return declare("bidi.ToggleButtonVisBidi",[button],{
		bidiGetLabelAttr: function(/*String*/ label){
			var textDirChForBidiFormat = (this.textDir == "rtl") ? "R" : "L";
			var visChForBidiFormat = (this.isVisualMode == true) ? "V" : "I";
			var newLabel = bidiEngine.bidiTransform (label, visChForBidiFormat + textDirChForBidiFormat + "YNN", "ILYNN");
			return newLabel;
		},
		set: function(name, value){
			if (name == "label")
				value = this.bidiGetLabelAttr (value);
			this.inherited(arguments); 
		}
	});
}); 